package com.gci.boot.modules.vehicles.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.common.vo.Result;
import com.gci.boot.modules.vehicles.entity.TbViolationRecord;
import com.gci.boot.modules.vehicles.vo.MessageVO;
import com.gci.boot.modules.vehicles.vo.MsgImportFailVO;
import com.gci.boot.modules.vehicles.vo.VehicleProjectVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface ITbViolationRecordService extends IService<TbViolationRecord> {

    /**
     * 获取车牌-项目-责任人列表
     * @return
     */
    List<VehicleProjectVO> queryVehicleProject();
    /**
     * 获取所有车牌列表
     * @return
     */
    List<VehicleProjectVO> queryAllVehicle();
    /**
     * 获取所有项目列表
     * @return
     */
    List<VehicleProjectVO> queryAllProject();

    /**
     * 解析短信获取车牌、时间、地点
     * @param template
     * @return
     */
    MessageVO analyzeMessage(String template);

    /**
     * 短信识别新的违章行为新增到字典
     */
    String addViolationBehavior(MessageVO vo);

    /**
     * 违章短信导入数据处理
     */
    List<MsgImportFailVO> importViolationMessage(List<String> msgTemplates);
    /**
     * 导入
     */
    Result<?> msgImport(MultipartFile file) throws IOException;
}
